CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-2401

Plupload before 1.5.4, as used in wp-includes/js/plupload/ in WordPress before 3.3.2 and other products, enables scripting regardless of the domain from which the SWF content was loaded, which allows remote attackers to bypass the Same Origin Policy via crafted content.
Publish Date : 2012-04-21 Last Update Date : 2013-07-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similar
CWE ID 264

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2470-1 wordpress - several oval:org.mitre.oval:def:20209 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-2401

# Product Type Vendor Product Version Update Edition Language
1 Application Moxiecode Plupload 1.4.0 Version Details Vulnerabilities
2 Application Moxiecode Plupload 1.4.1 Version Details Vulnerabilities
3 Application Moxiecode Plupload 1.4.2 Version Details Vulnerabilities
4 Application Moxiecode Plupload 1.4.3 Version Details Vulnerabilities
5 Application Moxiecode Plupload 1.5.0 Beta Version Details Vulnerabilities
6 Application Moxiecode Plupload 1.5.0 Version Details Vulnerabilities
7 Application Moxiecode Plupload 1.5.1 Version Details Vulnerabilities
8 Application Moxiecode Plupload 1.5.2 Version Details Vulnerabilities
9 Application Moxiecode Plupload 1.5.3 Version Details Vulnerabilities
10 Application Wordpress Wordpress 0.71 Version Details Vulnerabilities
11 Application Wordpress Wordpress 1.0 Version Details Vulnerabilities
12 Application Wordpress Wordpress 1.0.1 Version Details Vulnerabilities
13 Application Wordpress Wordpress 1.0.2 Version Details Vulnerabilities
14 Application Wordpress Wordpress 1.1.1 Version Details Vulnerabilities
15 Application Wordpress Wordpress 1.2 Version Details Vulnerabilities
16 Application Wordpress Wordpress 1.2.1 Version Details Vulnerabilities
17 Application Wordpress Wordpress 1.2.2 Version Details Vulnerabilities
18 Application Wordpress Wordpress 1.2.3 Version Details Vulnerabilities
19 Application Wordpress Wordpress 1.2.4 Version Details Vulnerabilities
20 Application Wordpress Wordpress 1.2.5 Version Details Vulnerabilities
21 Application Wordpress Wordpress 1.2.5 A Version Details Vulnerabilities
22 Application Wordpress Wordpress 1.3 Version Details Vulnerabilities
23 Application Wordpress Wordpress 1.3.2 Version Details Vulnerabilities
24 Application Wordpress Wordpress 1.3.3 Version Details Vulnerabilities
25 Application Wordpress Wordpress 1.5 Version Details Vulnerabilities
26 Application Wordpress Wordpress 1.5.1 Version Details Vulnerabilities
27 Application Wordpress Wordpress 1.5.1.1 Version Details Vulnerabilities
28 Application Wordpress Wordpress 1.5.1.2 Version Details Vulnerabilities
29 Application Wordpress Wordpress 1.5.1.3 Version Details Vulnerabilities
30 Application Wordpress Wordpress 1.5.2 Version Details Vulnerabilities
31 Application Wordpress Wordpress 2.0 Version Details Vulnerabilities
32 Application Wordpress Wordpress 2.0.1 Version Details Vulnerabilities
33 Application Wordpress Wordpress 2.0.2 Version Details Vulnerabilities
34 Application Wordpress Wordpress 2.0.4 Version Details Vulnerabilities
35 Application Wordpress Wordpress 2.0.5 Version Details Vulnerabilities
36 Application Wordpress Wordpress 2.0.6 Version Details Vulnerabilities
37 Application Wordpress Wordpress 2.0.7 Version Details Vulnerabilities
38 Application Wordpress Wordpress 2.0.8 Version Details Vulnerabilities
39 Application Wordpress Wordpress 2.0.9 Version Details Vulnerabilities
40 Application Wordpress Wordpress 2.0.10 Version Details Vulnerabilities
41 Application Wordpress Wordpress 2.0.11 Version Details Vulnerabilities
42 Application Wordpress Wordpress 2.1 Version Details Vulnerabilities
43 Application Wordpress Wordpress 2.1.1 Version Details Vulnerabilities
44 Application Wordpress Wordpress 2.1.2 Version Details Vulnerabilities
45 Application Wordpress Wordpress 2.1.3 Version Details Vulnerabilities
46 Application Wordpress Wordpress 2.2 Version Details Vulnerabilities
47 Application Wordpress Wordpress 2.2.1 Version Details Vulnerabilities
48 Application Wordpress Wordpress 2.2.2 Version Details Vulnerabilities
49 Application Wordpress Wordpress 2.2.3 Version Details Vulnerabilities
50 Application Wordpress Wordpress 2.3 Version Details Vulnerabilities
51 Application Wordpress Wordpress 2.3.1 Version Details Vulnerabilities
52 Application Wordpress Wordpress 2.3.2 Version Details Vulnerabilities
53 Application Wordpress Wordpress 2.3.3 Version Details Vulnerabilities
54 Application Wordpress Wordpress 2.5 Version Details Vulnerabilities
55 Application Wordpress Wordpress 2.5.1 Version Details Vulnerabilities
56 Application Wordpress Wordpress 2.6 Version Details Vulnerabilities
57 Application Wordpress Wordpress 2.6.1 Version Details Vulnerabilities
58 Application Wordpress Wordpress 2.6.2 Version Details Vulnerabilities
59 Application Wordpress Wordpress 2.6.3 Version Details Vulnerabilities
60 Application Wordpress Wordpress 2.6.5 Version Details Vulnerabilities
61 Application Wordpress Wordpress 2.7 Version Details Vulnerabilities
62 Application Wordpress Wordpress 2.7.1 Version Details Vulnerabilities
63 Application Wordpress Wordpress 2.8 Version Details Vulnerabilities
64 Application Wordpress Wordpress 2.8.1 Version Details Vulnerabilities
65 Application Wordpress Wordpress 2.8.2 Version Details Vulnerabilities
66 Application Wordpress Wordpress 2.8.3 Version Details Vulnerabilities
67 Application Wordpress Wordpress 2.8.4 A Version Details Vulnerabilities
68 Application Wordpress Wordpress 2.8.4 Version Details Vulnerabilities
69 Application Wordpress Wordpress 2.8.5 Version Details Vulnerabilities
70 Application Wordpress Wordpress 2.8.5.1 Version Details Vulnerabilities
71 Application Wordpress Wordpress 2.8.5.2 Version Details Vulnerabilities
72 Application Wordpress Wordpress 2.8.6 Version Details Vulnerabilities
73 Application Wordpress Wordpress 2.9 Version Details Vulnerabilities
74 Application Wordpress Wordpress 2.9.1 Version Details Vulnerabilities
75 Application Wordpress Wordpress 2.9.1.1 Version Details Vulnerabilities
76 Application Wordpress Wordpress 2.9.2 Version Details Vulnerabilities
77 Application Wordpress Wordpress 3.0 Version Details Vulnerabilities
78 Application Wordpress Wordpress 3.0.1 Version Details Vulnerabilities
79 Application Wordpress Wordpress 3.0.2 Version Details Vulnerabilities
80 Application Wordpress Wordpress 3.0.3 Version Details Vulnerabilities
81 Application Wordpress Wordpress 3.0.4 Version Details Vulnerabilities
82 Application Wordpress Wordpress 3.0.5 Version Details Vulnerabilities
83 Application Wordpress Wordpress 3.0.6 Version Details Vulnerabilities
84 Application Wordpress Wordpress 3.1 Version Details Vulnerabilities
85 Application Wordpress Wordpress 3.1.1 Version Details Vulnerabilities
86 Application Wordpress Wordpress 3.1.2 Version Details Vulnerabilities
87 Application Wordpress Wordpress 3.1.3 Version Details Vulnerabilities
88 Application Wordpress Wordpress 3.3 Version Details Vulnerabilities
89 Application Wordpress Wordpress 3.3.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Moxiecode Plupload 9
Wordpress Wordpress 80

- References For CVE-2012-2401

http://core.trac.wordpress.org/browser/branches/3.3/wp-includes/js/plupload?rev=20487 CONFIRM
http://core.trac.wordpress.org/browser/branches/3.3/wp-includes/js/plupload/changelog.txt?rev=20487 CONFIRM
http://wordpress.org/news/2012/04/wordpress-3-3-2/ CONFIRM
http://www.debian.org/security/2012/dsa-2470
DEBIAN DSA-2470
http://secunia.com/advisories/49138
SECUNIA 49138

- Metasploit Modules Related To CVE-2012-2401

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.